Skip to main content
PATCH
Update a reward product

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reward_product_id
string<uuid>
required

Unique identifier of a reward product.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b96312"

Body

application/json

Reward product fields to update

description
string

Description of the reward product bundle.

Example:

"Cashback rewards for premium checking accounts"

name
string

Name of the reward product bundle.

Example:

"Premium Cashback Rewards"

reward_config_ids
string<uuid>[]

Reward config IDs associated with this product.

Example:
status
enum<string>
Available options:
active,
inactive

Response

Updated reward product

creation_time
string<date-time>
required
read-only
Example:

"2024-01-15T10:00:00Z"

id
string<uuid>
required

Unique identifier for this reward product.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b96312"

last_updated_time
string<date-time>
required
read-only
Example:

"2024-06-01T12:00:00Z"

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

name
string
required

Name of the reward product bundle.

Example:

"Premium Cashback Rewards"

reward_config_ids
string<uuid>[]
required

Reward config IDs associated with this product.

Example:
status
enum<string>
required
Available options:
active,
inactive
description
string

Description of the reward product bundle.

Example:

"Cashback rewards for premium checking accounts"